Bug 1169700 - CVE-2014-9028 CVE-2014-8962 xmms-flac: various flaws [fedora-all]
Summary: CVE-2014-9028 CVE-2014-8962 xmms-flac: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms-flac
Version: 23
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=3
Depends On:
Blocks: CVE-2014-8962 CVE-2014-9028
TreeView+ depends on / blocked
 
Reported: 2014-12-02 09:00 UTC by Francisco Alonso
Modified: 2015-08-18 05:25 UTC (History)
6 users (show)

Fixed In Version: flac-1.3.1-5.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-15 02:21:36 UTC
Type: ---


Attachments (Terms of Use)

Description Francisco Alonso 2014-12-02 09:00:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Francisco Alonso 2014-12-02 09:00:20 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1167741,1169700

# Description of your update
notes=Security fix for CVE-2014-9028

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1167741,1169700

Comment 2 Francisco Alonso 2014-12-02 09:00:52 UTC
Adding parent bug 1167236 (for CVE-2014-8962).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1169700,1167236,1167741

# Description of your update
notes=Security fix for CVE-2014-9028, CVE-2014-8962

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1169700,1167236,1167741

Comment 3 pjp 2015-04-09 17:36:41 UTC
Hello matthias@saou.eu,

You plan to fix this soon?

Comment 4 Fedora End Of Life 2015-05-29 13:26:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Eric Christensen 2015-06-05 15:19:29 UTC
The CVE was upgraded to Important.

Comment 7 Eric Christensen 2015-06-05 15:20:19 UTC
Same version is being used through rawhide.

Comment 8 Ralf Corsepius 2015-07-02 07:58:13 UTC
Wouldn't it make more sense to build xmms-flac as part of the flac package instead of packaging it separately (And now being confronted with a maintainer, who apparently has gone AWOL)?

Comment 9 Jan Kurik 2015-07-15 14:36:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 10 David A. Cafaro 2015-07-23 01:34:07 UTC
(In reply to Ralf Corsepius from comment #8)
> Wouldn't it make more sense to build xmms-flac as part of the flac package
> instead of packaging it separately (And now being confronted with a
> maintainer, who apparently has gone AWOL)?

Except that if xmms is not installed, there is no reason to install this.

Maybe reach out to the xmms maintainer to take this on?

Comment 11 Ralf Corsepius 2015-07-23 02:03:25 UTC
(In reply to David A. Cafaro from comment #10)
> (In reply to Ralf Corsepius from comment #8)
> > Wouldn't it make more sense to build xmms-flac as part of the flac package
> > instead of packaging it separately (And now being confronted with a
> > maintainer, who apparently has gone AWOL)?
> 
> Except that if xmms is not installed, there is no reason to install this.
> 
> Maybe reach out to the xmms maintainer to take this on?

I do not understand. AFAIS, xmms-flac's sources are part of the flac tarball and xmms-flac can be packaged as a subpackage of flac.without introducing any run-time dep between xmms and flac.

Comment 12 David A. Cafaro 2015-07-23 02:13:44 UTC
(In reply to Ralf Corsepius from comment #11)
> (In reply to David A. Cafaro from comment #10)
> > (In reply to Ralf Corsepius from comment #8)
> > > Wouldn't it make more sense to build xmms-flac as part of the flac package
> > > instead of packaging it separately (And now being confronted with a
> > > maintainer, who apparently has gone AWOL)?
> > 
> > Except that if xmms is not installed, there is no reason to install this.
> > 
> > Maybe reach out to the xmms maintainer to take this on?
> 
> I do not understand. AFAIS, xmms-flac's sources are part of the flac tarball
> and xmms-flac can be packaged as a subpackage of flac.without introducing
> any run-time dep between xmms and flac.

I believe an xmms plugin (like xmms-flac) needs to be compiled against xmms libraries (http://www.xmms.org/docs/vis-plugin.html) when installed it then goes into the xmms directory tree.

So now the flac maintainer would have to also worry about compiling it against xmms for this plugin.  Additionally if a user install flac (with xmms-flac plugin built in) the plugin needs to be installed into the xmms directory tree even though xmms isn't installed (creating that new path and having it associated with flac instead of xmms).  

If xmms want's flac support it makes more sense for xmms to worry about handling the plugin (either built in or as a separate package to solve possible install dep issues)

I haven't had a chance to look at this particular rpm's file delivery structure so maybe they are doing something different.  I'll try and do that soon, but still makes more sense for xmms to be responsible for wanting to have flac support.

Comment 13 David A. Cafaro 2015-08-05 13:53:50 UTC
We are still in need of a patch for this, any word?

Comment 14 Ralf Corsepius 2015-08-05 15:28:43 UTC
(In reply to David A. Cafaro from comment #13)
> We are still in need of a patch for this, any word?

xmms-flac is an integral part of the flac tarball.

All that would be required is 
- to enable it in the in flac.spec
- to add the xmms-flac files to the flac.spec (as xmms-flac !).
- to discontinue the separate xmms-flac package.

The only problem with this seems to be you, who is refusing to do so.

Comment 15 Ralf Corsepius 2015-08-05 15:30:51 UTC
forgot: I think it's time to launch a formal AWOL-process against Thias.

That said, Thias, shouldn't you respond to this needinfo, I am going to file an AWOL at FESCO.

Comment 16 David A. Cafaro 2015-08-05 16:46:14 UTC
(In reply to Ralf Corsepius from comment #14)
> (In reply to David A. Cafaro from comment #13)
> > We are still in need of a patch for this, any word?
> 
> xmms-flac is an integral part of the flac tarball.
> 
> All that would be required is 
> - to enable it in the in flac.spec
> - to add the xmms-flac files to the flac.spec (as xmms-flac !).
> - to discontinue the separate xmms-flac package.
> 
> The only problem with this seems to be you, who is refusing to do so.

Sorry, I did not mean to imply I was blocking this getting update over the xmms/flac thing.  I was just presenting a possible reason why it shouldn't be in the flac tarball.

In the end, what I care about is getting the security issue patched and if moving it into flac proper is what people are willing to do, do it.

And yes, now that I've hit my third ping on this let's take this to non-responsive.  If you file a FESCO ticket please link (or cc ) so that I can track that progress.  If you want I am also willing to file the ticket.

Comment 17 David A. Cafaro 2015-08-07 00:51:33 UTC
I'm going to reach out to both the FLAC packager and the XMMS packager to see how they want to handle it.

Ralf Corsepius, if you have not filed a FESCO ticket for non-responsive, I will begin the process this weekend (assuming Thias has not responded)

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 18 Tom "spot" Callaway 2015-08-10 15:05:20 UTC
I concur with Ralf, there is no reason for this package (xmms-flac) to not be a subpackage of the flac package. It ensures that it will be built/updated as flac is.

I'm using my Provenpackager powers to make that happen.

Comment 19 Fedora Update System 2015-08-10 15:27:03 UTC
flac-1.3.1-5.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/flac-1.3.1-5.fc23

Comment 20 Fedora Update System 2015-08-10 15:27:12 UTC
flac-1.3.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flac-1.3.1-5.fc22

Comment 21 Fedora Update System 2015-08-10 15:27:20 UTC
flac-1.3.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flac-1.3.1-5.fc21

Comment 22 David A. Cafaro 2015-08-11 01:46:25 UTC
(In reply to Tom "spot" Callaway from comment #18)
> I concur with Ralf, there is no reason for this package (xmms-flac) to not
> be a subpackage of the flac package. It ensures that it will be
> built/updated as flac is.
> 
> I'm using my Provenpackager powers to make that happen.

Thank you for taking care of this.

Will the new flac package obsolete the xmms-flac on install?

Comment 23 Fedora Update System 2015-08-11 02:06:31 UTC
Package flac-1.3.1-5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flac-1.3.1-5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13145/flac-1.3.1-5.fc22
then log in and leave karma (feedback).

Comment 24 Fedora Update System 2015-08-15 02:21:36 UTC
flac-1.3.1-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-08-18 05:22:34 UTC
flac-1.3.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-08-18 05:25:54 UTC
flac-1.3.1-5.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.